using LOLAPP.DataContractPersistance;
using LOLAPP.Modele;
using System.Collections.Generic;
using System.Diagnostics;

namespace LOLAPP;

public partial class App : Application
{

	public Manager ChampionManager { get;  set; } = new Manager(new Stub());
	public App()
	{
		ChampionManager.Chargdon();
		ChampionManager.Persistance = new DataContractPersistance.DataContract();
        ChampionManager.Sauvdon();
        Debug.WriteLine("Application lancééé!");
        InitializeComponent();

		MainPage = new AppShell();
	}
}